function expand_A4P (ele){
	if (ele.className=="a4p_th") ele.className = "a4p_full";
	else ele.className = "a4p_th";
}

function expand_A5P (ele){
	if (ele.className=="a5p_th") ele.className = "a5p_full";
	else ele.className = "a5p_th";
}
var ahd3e = {};
ahd3e.query = jQuery.noConflict( true );

const Ahd3eTagSwitchCN = '.ahd3e_switch_lang';
const Ahd3eTagSwitchCNALL = '.ahd3e_switch_lang.switch_all';
const Ahd3eTagSwitchCNCHILDREN = '.ahd3e_switch_lang.switch_children';
const Ahd3eTagSwitchCNSIBLINGS = '.ahd3e_switch_lang.switch_siblings';
const Ahd3eTagSwitchCNTAG = '.ahd3e_switch_lang.switch_children, .ahd3e_switch_lang.switch_siblings'

const Ahd3eTagChineseTexT = '.ahd3e_chn';

// !!!!!!!!!!!!!!!!!!!!!!!!!!!!! script embedded in HTML !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
// add platfrom infos to <span collinsbody>

// !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!    embedd jQuery 3.2.1 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
/*! jQuery v3.2.1 | (c) JS Foundation and other contributors | jquery.org/license */
/* beautify ignore:start */

/* beautify ignore:end */
// -------------------------------- END END END jQuery 3.2.1 -------------------------------

ahd3e.query(ahd3e_documentReady);

function ahd3e_documentReady() {
  ahd3e_extendJQuery();
  ahd3e_switchChineseSetup();
}

function ahd3e_switchChineseSetup() {
  ahd3e.query('.ahd3e_chn').hide();
    
  if (ahd3e.query('.ahd3e_entry .ahd3e_chn').length != 0) {
    ahd3e.query('.ahd3e_show_all')
      .off('.ahd3e_lang')
      .on('click.ahd3e_lang', ahd3e_switchChineseAll);

    ahd3e.query(Ahd3eTagSwitchCNTAG)
      .off('.ahd3e_lang')
      .on('click.ahd3e_lang', ahd3e_switchChinese)
      .css('cursor', 'pointer');
  }
}

function ahd3e_switchChinese(event) {
  if (ahd3e.query(this).is(Ahd3eTagSwitchCNSIBLINGS)) {
    ahd3e.query(this).siblings(Ahd3eTagChineseTexT).ahd3e_toggle();
    ahd3e.query(this).children(Ahd3eTagSwitchCNSIBLINGS).ahd3e_toggle();
  } else {
    ahd3e.query(this).children(Ahd3eTagChineseTexT).ahd3e_toggle();
  }
}

function ahd3e_switchChineseAll(event) {
  ahd3e.query(Ahd3eTagChineseTexT).ahd3e_toggle();
  
  if (ahd3e.query('.ahd3e_show_all.active').length != 0) {
    ahd3e.query('.ahd3e_show_all').removeClass("active");
  } else {
    ahd3e.query('.ahd3e_show_all').addClass("active");
  }
}

var ahd3e_slideDuration = 300;

function ahd3e_extendJQuery() {
  ahd3e.query.fn.extend({
    ahd3e_show: function() {
      return this.each(function() {
        if (typeof(ahd3e.query.fn.fadeIn) == "undefined") {
          ahd3e.query(this).show();
        } else {
          if (ahd3e.query(this).css('display') == 'block') {
            ahd3e.query(this)
              .fadeIn({
                duration: ahd3e_slideDuration,
                queue: false
              })
              .slideDown(ahd3e_slideDuration);
          } else {
            ahd3e.query(this)
              .fadeIn({
                duration: ahd3e_slideDuration
              });
          }
        }
      });
    },
    ahd3e_hide: function() {
      return this.each(function() {
        if (typeof(ahd3e.query.fn.fadeOut) == "undefined") {
          ahd3e.query(this).hide();
        } else {
          if (ahd3e.query(this).css('display') == 'block') {
            ahd3e.query(this)
              .fadeOut({
                duration: ahd3e_slideDuration,
                queue: false
              })
              .slideUp(ahd3e_slideDuration);
          } else {
            ahd3e.query(this)
              .fadeOut({
                duration: ahd3e_slideDuration,
                queue: false
              });
          }
        }
      });
    },
    ahd3e_toggle: function(option) {
      return this.each(function(index, element) {
        if ((typeof(option) != 'undefined') ? option : !ahd3e.query(this).is(":visible")) {
          ahd3e.query(this).ahd3e_show();
        } else {
          ahd3e.query(this).ahd3e_hide();
        }
      });
    },
    ahd3e_slideToggle: function(option) {
      return this.each(function(index, element) {
        if (typeof(ahd3e.query.fn.slideToggle) == "undefined") {
          ahd3e.query(this).toggle(option);
        } else {
          ahd3e.query(this).slideToggle(option);
        }
      });
    },
    ahd3e_fadeIn: function(option) {
      return this.each(function(index, element) {
        if (typeof(ahd3e.query.fn.fadeIn) == "undefined") {
          ahd3e.query(this).show(option);
        } else {
          ahd3e.query(this).fadeIn(option);
        }
      });
    },
    ahd3e_fadeOut: function(option) {
      return this.each(function(index, element) {
        if (typeof(ahd3e.query.fn.fadeOut) == "undefined") {
          ahd3e.query(this).hide(option);
        } else {
          ahd3e.query(this).fadeOut(option);
        }
      });
    }
  });
}
